import type { _AVMusicEvent } from "./AVMusicEvent.js";
import type { _NSData } from "../Foundation/NSData.js";
export declare class _AVMusicUserEvent extends _AVMusicEvent {
    static alloc(): _AVMusicUserEvent;
    static new(): _AVMusicUserEvent;
    init(): _AVMusicUserEvent;
    /**
     * Initialize the event with an NSData. An NSData object containing the contents to be returned via the AVMusicTrack's user callback.
     */
    initWithData$(data: _NSData): _AVMusicUserEvent;
    /** The size of the data associated with this user event. */
    sizeInBytes(): number;
}
